### Class

# Camel Settings

since: 3.2

#### Description [src]

    class Camel.Settings : GObject.Object
    {
      /* No available fields */
    }

Contains only private data that should be read and manipulated using the functions below.

Available since: 3.2

#### Hierarchy

#### Ancestors

- GObject

#### Descendants

- CamelStoreSettings

#### Instance methods

###### camel_settings_clone

Creates a copy of `settings`, such that passing `settings` and the copied instance to `camel_settings_equal()` would return `TRUE`.

since: 3.2

###### camel_settings_equal

Returns `TRUE` if `settings_a` and `settings_b` are equal.

since: 3.2

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CamelSettingsClass {
      GObjectClass parent_class;
      GParamSpec** (* list_settings) (
        CamelSettingsClass* klass,
        guint* n_settings
      );
      CamelSettings* (* clone) (
        CamelSettings* settings
      );
      gboolean (* equal) (
        CamelSettings* settings_a,
        CamelSettings* settings_b
      );
      gpointer reserved;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`list_settings: GParamSpec** (* list_settings) ( CamelSettingsClass* klass, guint* n_settings )`

  No description available.

`clone: CamelSettings* (* clone) ( CamelSettings* settings )`

  No description available.

`equal: gboolean (* equal) ( CamelSettings* settings_a, CamelSettings* settings_b )`

  No description available.

`reserved: gpointer`

  No description available.

#### Virtual methods

###### Camel.SettingsClass.clone

Creates a copy of `settings`, such that passing `settings` and the copied instance to `camel_settings_equal()` would return `TRUE`.

since: 3.2

###### Camel.SettingsClass.equal

Returns `TRUE` if `settings_a` and `settings_b` are equal.

since: 3.2

#### Class methods

###### camel_settings_class_list_settings

Returns an array of `GParamSpec` for properties of `class` which are considered to be settings. By default all properties are considered to be settings, but subclasses may wish to exclude certain properties. Free the returned array with g_free().

since: 3.2